aboutsummaryrefslogtreecommitdiff
path: root/sh/profile.d/options.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh/profile.d/options.sh')
-rw-r--r--sh/profile.d/options.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/sh/profile.d/options.sh b/sh/profile.d/options.sh
index 73f62243..58376fb3 100644
--- a/sh/profile.d/options.sh
+++ b/sh/profile.d/options.sh
@@ -22,9 +22,10 @@ options() {
# Iterate through remaining arguments (desired options), creating files to
# show they're available if found in the help output
- for opt ; do
- command -p grep -q -- '[^[:alnum:]]--'"$opt"'[^[:alnum:]]' help &&
- touch -- "$opt"
+ for opt do
+ command -p grep -q -- \
+ '[^[:alnum:]]--'"$opt"'[^[:alnum:]]' help || continue
+ touch -- "$opt"
done
}